Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 585040 - Segfault in vtable for QPaintDevice () in release_QApplication
Segfault in vtable for QPaintDevice () in release_QApplication
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: PyQt4 (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
abrt_hash:ed16c57c6e7445541015648fd55...
:
: 585452 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-22 20:10 EDT by Edson Dino Salvati
Modified: 2010-11-03 12:49 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-03 12:49:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (25.85 KB, text/plain)
2010-04-22 20:10 EDT, Edson Dino Salvati
no flags Details

  None (edit)
Description Edson Dino Salvati 2010-04-22 20:10:52 EDT
abrt 1.0.8 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: python /home/dino/Download/subdownloader/run.py
component: python
executable: /usr/bin/python
kernel: 2.6.32.11-99.fc12.x86_64
package: python-2.6.2-4.fc12
rating: 4
reason: Process /usr/bin/python was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)
Comment 1 Edson Dino Salvati 2010-04-22 20:10:55 EDT
Created attachment 408470 [details]
File: backtrace
Comment 2 Dave Malcolm 2010-06-30 18:57:34 EDT
Thank you for reporting this bug.

How reproducible is this problem?  If you run the program from a terminal, is an error message printed?

What is the output of running the following command?
  rpm -q PyQt4

Looking at the backtrace, it looks like the problem occurred in thread #1 in release_QApplication

Reassigning component from "python" to "PyQt4";  hopefully the PyQt4 maintainer will be able to figure this out further or reassign as necessary.
Comment 3 Dave Malcolm 2010-06-30 18:59:41 EDT
*** Bug 585452 has been marked as a duplicate of this bug. ***
Comment 4 Bug Zapper 2010-11-03 12:32:08 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Edson Dino Salvati 2010-11-03 12:49:46 EDT
I no longer use this version. It was a long time ago and I can't reproduce this bug. So I'll close it.

Note You need to log in before you can comment on or make changes to this bug.